Extending Qt Creator Manual | PathAndLanguage

Extending Qt Creator Manual 4.5.2

# PathAndLanguage Class

(QmlJS::PathAndLanguage)

- List of all members, including inherited members

## Public Functions

| PathAndLanguage(const Utils::FileName &path = Utils::FileName(), Dialect language = Dialect::AnyLanguage)
| PathAndLanguage(const PathAndLanguage &o)
Dialect | language() const
Utils::FileName | path() const
bool | operator<(const PathAndLanguage &other) const
bool | operator==(const PathAndLanguage &other) const

## Member Function Documentation

### PathAndLanguage::PathAndLanguage(const Utils::FileName &path = Utils::FileName(), Dialect language = Dialect::AnyLanguage)

Default constructs an instance of PathAndLanguage.

### PathAndLanguage::PathAndLanguage(const PathAndLanguage &o)

Copy constructor.

### Dialect PathAndLanguage::language() const

### Utils::FileName PathAndLanguage::path() const

### bool PathAndLanguage::operator<(const PathAndLanguage &other) const

### bool PathAndLanguage::operator==(const PathAndLanguage &other) const